<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">



<head>
<title>Good As I Been To You (1992)</title>
<link rel="stylesheet" type="text/css" href="../css/general.css" />
<link href="../css/indexpages.css" rel="stylesheet" type="text/css" />
</head>

<body>
<h1><img alt="Good as I Been to You" src="../graphics/good.jpg" width="150" height="150" />
Good As I Been To You (1992)</h1>

<p class="recdate">Recorded June-July 1992<br />
Released Nov 3, 1992</p>
<ol>
  <li><a href="frankie_and_albert.htm">Frankie &amp; Albert</a> </li>
  <li><a href="jim_jones.htm">Jim Jones</a></li>
  <li><a href="black_jack_davey.htm">Black Jack Davey</a></li>
  <li><a href="canadeeio.htm">Canadee-i-o</a></li>
  <li><a href="sittin_on_top_of_the_world.htm">Sittin' on Top of the World</a></li>
  <li><a href="little_maggie.htm">Little Maggie</a></li>
  <li><a href="hard_times.htm">Hard Times</a></li>
  <li><a href="step_it_up_and_go.htm">Step It Up And Go</a></li>
  <li><a href="tomorrownight.htm">Tomorrow Night</a></li>
  <li><a href="arthur_mcbride.htm">Arthur McBride</a></li>
  <li><a href="youre_gonna_quit_me_baby.htm">You're Gonna Quit Me</a></li>
  <li><a href="diamond_joe.htm">Diamond Joe</a></li>
  <li><a href="froggie_went_acourtin.htm">Froggie Went a Courtin'</a></li>
</ol>

<p>Outtake:

</p><ul>
  <li><a href="../00_misc/you_belong_to_me.htm">You Belong To Me</a> (from soundtrack: <em>Natural
    Born Killers</em>)</li>
</ul>
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-7570468-2");
pageTracker._trackPageview();
} catch(err) {}</script>
</body>
</html>
